/*
 * Jalview - A Sequence Alignment Editor and Viewer (Version 2.8.2)
 * Copyright (C) 2014 The Jalview Authors
 * 
 * This file is part of Jalview.
 * 
 * Jalview is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *  
 * Jalview is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty 
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 * PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jalview.  If not, see <http://www.gnu.org/licenses/>.
 * The Jalview Authors are detailed in the 'AUTHORS' file.
 */
package jalview.ws.jabaws;

import static org.junit.Assert.*;
import jalview.ws.jws2.Jws2Discoverer;

import java.util.Vector;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

public class JalviewJabawsTestUtils
{

  @BeforeClass
  public static void setUpBeforeClass() throws Exception
  {
  }

  @AfterClass
  public static void tearDownAfterClass() throws Exception
  {
  }

  /**
   * test servers
   */
  public static String[] serviceUrls = new String[]
  { "http://localhost:8080/jabaws" };

  @Test
  public void testAnnotExport()
  {
    fail("Not yet implemented");
  }

  public static jalview.ws.jws2.Jws2Discoverer getJabawsDiscoverer()
  {
    jalview.ws.jws2.Jws2Discoverer disc = jalview.ws.jws2.Jws2Discoverer
            .getDiscoverer();
    int p = 0;
    String svcurls = "";
    Vector<String> services = new Vector<String>();
    for (String url : JalviewJabawsTestUtils.serviceUrls)
    {
      svcurls += url + "; ";
      services.add(url);
    }
    ;
    Jws2Discoverer.setServiceUrls(services);

    try
    {
      disc.run();
    } catch (Exception e)
    {
      e.printStackTrace();
      fail("Aborting. Problem discovering services. Tried " + svcurls);
    }
    assertTrue("Failed to discover any services at ", disc.getServices()
            .size() > 0);
    return disc;
  }

}
